Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.invoicing
Interface Invoice

public interface Invoice
extends Entity

An Invoice is the primary mechanism for billing a customer for items purchased. It associates a PackingList with a payment method. Inventory Records are managed by the `InventoryManager` and referenced by the `ItemInventory`

     Primary Key = theory.smart.ebusiness.invoicing.InvoicePk

                      orderKey
     [Invoice] <*>------> [String] (Primary Key)

                      authorizationCode
     [Invoice] <*>------> [String]

                      creationDate
     [Invoice] <*>------> [java.sql.Date]

                      paymentMethod
     [Invoice] <*>------> [theory.smart.axiom.contact.CreditCard]

                      packingList
     [Invoice] <>------> [theory.smart.ebusiness.shipping.PackingList]

                      shippingCost
     [Invoice] <*>------> [theory.smart.axiom.units.Price]

See Also:
  `InvoicePk`, `InvoiceHome`, `InvoiceImpl`, `InvoiceValue`

Method Summary
`java.lang.String` | `commit()`
`java.lang.String` | `getAuthorizationCode()` Get the value of authorizationCode
`java.sql.Date` | `getCreationDate()` Get the value of creationDate
`Customer` | `getCustomer()`
`InvoiceValue` | `getInvoiceByValue()` Get all of Invoice's attributes.
`java.lang.String` | `getOrderKey()`
`PackingList` | `getPackingList()` Get the remote object reference of packingList
`CreditCard` | `getPaymentMethod()` Get the value of paymentMethod
`Price` | `getShippingCost()` Get the value of shippingCost
`java.lang.String` | `getStatus()` Retrieve the status of the order through the PackingList.
`Price` | `getSubTotal()` Calculate a subtotal that does not include shipping costs.
`Price` | `getTaxAmount()` Calculate the taxes on an order.
`Price` | `getTotal()` Get the final total for the order including all costs.
`void` | `setAuthorizationCode(java.lang.String authorizationCode)` Set the value of authorizationCode
`void` | `setCreationDate(java.sql.Date creationDate)` Set the value of creationDate
`void` | `setInvoiceByValue(InvoiceValue value)` Set all of Invoice's attributes to the passed in value.
`void` | `setPackingList(PackingList packingList)` Set the remote object reference of packingList
`void` | `setPaymentMethod(CreditCard paymentMethod)` Set the value of paymentMethod
`void` | `setShippingCost(Price shippingCost)` Set the value of shippingCost

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getInvoiceByValue

    public InvoiceValue getInvoiceByValue()
                                   throws java.rmi.RemoteException

  Get all of Invoice's attributes.
  Returns:
    InvoiceValue the Invoice value object

### setInvoiceByValue

    public void setInvoiceByValue(InvoiceValue value)
                           throws java.rmi.RemoteException

  Set all of Invoice's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `InvoiceValue` - the Invoice value object

### getOrderKey

    public java.lang.String getOrderKey()
                                 throws java.rmi.RemoteException

### getAuthorizationCode

    public java.lang.String getAuthorizationCode()
                                          throws java.rmi.RemoteException

  Get the value of authorizationCode
  Returns:
    authorizationCode.

### setAuthorizationCode

    public void setAuthorizationCode(java.lang.String authorizationCode)
                              throws java.rmi.RemoteException

  Set the value of authorizationCode
  Parameters:
    `authorizationCodes` - authorizationCode to be added

### getCreationDate

    public java.sql.Date getCreationDate()
                                  throws java.rmi.RemoteException

  Get the value of creationDate
  Returns:
    creationDate.

### setCreationDate

    public void setCreationDate(java.sql.Date creationDate)
                         throws java.rmi.RemoteException

  Set the value of creationDate
  Parameters:
    `creationDates` - creationDate to be added

### getPaymentMethod

    public CreditCard getPaymentMethod()
                                throws java.rmi.RemoteException

  Get the value of paymentMethod
  Returns:
    paymentMethod.

### setPaymentMethod

    public void setPaymentMethod(CreditCard paymentMethod)
                          throws java.rmi.RemoteException

  Set the value of paymentMethod
  Parameters:
    `paymentMethods` - paymentMethod to be added

### getPackingList

    public PackingList getPackingList()
                               throws java.rmi.RemoteException

  Get the remote object reference of packingList
  Returns:
    packingList.

### setPackingList

    public void setPackingList(PackingList packingList)
                        throws java.rmi.RemoteException

  Set the remote object reference of packingList
  Parameters:
    `packingLists` - packingList to be added

### getShippingCost

    public Price getShippingCost()
                          throws java.rmi.RemoteException

  Get the value of shippingCost
  Returns:
    shippingCost.

### setShippingCost

    public void setShippingCost(Price shippingCost)
                         throws java.rmi.RemoteException

  Set the value of shippingCost
  Parameters:
    `shippingCosts` - shippingCost to be added

### commit

    public java.lang.String commit()
                            throws java.rmi.RemoteException,
                                   IllegalWorkflowTransitionException

### getCustomer

    public Customer getCustomer()
                         throws java.rmi.RemoteException

### getStatus

    public java.lang.String getStatus()
                               throws java.rmi.RemoteException

  Retrieve the status of the order through the PackingList.

### getTaxAmount

    public Price getTaxAmount()
                       throws java.rmi.RemoteException

  Calculate the taxes on an order.

### getSubTotal

    public Price getSubTotal()
                      throws java.rmi.RemoteException

  Calculate a subtotal that does not include shipping costs.

### getTotal

    public Price getTotal()
                   throws java.rmi.RemoteException

  Get the final total for the order including all costs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.